:root {
	--heck-term-color-black:	black;
	--heck-term-color-red:		red;
	--heck-term-color-green:	green;
	--heck-term-color-yellow:	yellow;
	--heck-term-color-blue:		blue;
	--heck-term-color-magenta:	magenta;
	--heck-term-color-cyan:		cyan;
	--heck-term-color-white:	white;
	--heck-term-default-background:	var(--heck-term-color-black);
	--heck-term-default-foreground:	var(--heck-term-color-white);
}

#terminal {
	border: thin solid white;
	padding: 1px;
	margin: 0;
	font-family: monospace;
	white-space: pre;
}

#terminal > div, #terminal > div > span {
	margin: 0;
	padding: 0;
	border: none;
}

#terminal span[bold] { font-weight: bold; }
#terminal span[faint] { font-weight: lighter; }
#terminal span[italicized] { font-style: italic; }
#terminal span[underlined="1"] { }
#terminal span[blink="slow"] { }
#terminal span[blink="rapid"] { }
#terminal span[negative] { }
#terminal span[concealed] { visbility: invisible; }
#terminal span[crossed-out] { }
#terminal span[font="0"] { /* default font*/ }
#terminal span[font="1"] { }
#terminal span[font="2"] { }
#terminal span[font="3"] { }
#terminal span[font="4"] { }
#terminal span[font="5"] { }
#terminal span[font="6"] { }
#terminal span[font="7"] { }
#terminal span[font="8"] { }
#terminal span[font="9"] { }
#terminal span[font="10"] { font-family: fraktur; }
#terminal span[underlined="2"] { }
#terminal span[color="black"]	{ color: var(--heck-term-color-black); }
#terminal span[color="red"]	{ color: var(--heck-term-color-red); }
#terminal span[color="green"]	{ color: var(--heck-term-color-green); }
#terminal span[color="yellow"]	{ color: var(--heck-term-color-yellow); }
#terminal span[color="blue"]	{ color: var(--heck-term-color-blue); }
#terminal span[color="magenta"]	{ color: var(--heck-term-color-magenta); }
#terminal span[color="cyan"]	{ color: var(--heck-term-color-cyan); }
#terminal span[color="white"]	{ color: var(--heck-term-color-white); }
#terminal span[background="black"]	{ background-color: var(--heck-term-color-black); }
#terminal span[background="red"]	{ background-color: var(--heck-term-color-red); }
#terminal span[background="green"]	{ background-color: var(--heck-term-color-green); }
#terminal span[background="yellow"]	{ background-color: var(--heck-term-color-yellow); }
#terminal span[background="blue"]	{ background-color: var(--heck-term-color-blue); }
#terminal span[background="magenta"]	{ background-color: var(--heck-term-color-magenta); }
#terminal span[background="cyan"]	{ background-color: var(--heck-term-color-cyan); }
#terminal span[background="white"]	{ background-color: var(--heck-term-color-white); }
#terminal span[framed] { }
#terminal span[encircled] { }
#terminal span[overlined] { }
#terminal span[rightline="1"] { }
#terminal span[leftline="1"] { }
#terminal span[rightline="2"] { }
#terminal span[leftline="2"] { }
#terminal span[stress] { }
